Skip to main content
GET
/
console
/
v1
/
experiments
/
{id}
/
diagnostics_checks
Retrieve Experiment Checks Diagnostics
curl --request GET \
  --url https://statsigapi.net/console/v1/experiments/{id}/diagnostics_checks \
  --header 'STATSIG-API-KEY: <api-key>'
{
  "message": "<string>",
  "data": {
    "experimentName": "<string>",
    "type": "daily_cumulative_checks",
    "startDate": "<string>",
    "endDate": "<string>",
    "data": [
      {
        "date": "<string>",
        "results": [
          {
            "group_name": "<string>",
            "group_id": "<string>",
            "count": 123
          }
        ]
      }
    ],
    "unit_id_type": "<string>"
  }
}

Authorizations

STATSIG-API-KEY
string
header
required

Path Parameters

id
string
required

id

Query Parameters

type
enum<string>
default:daily_cumulative_checks
Available options:
daily_cumulative_checks,
unique_ids
startDate
string

Start date in YYYY-MM-DD format

Example:

"2024-01-01"

endDate
string

End date in YYYY-MM-DD format

Example:

"2024-01-01"

Response

200 - application/json

Get Experiment Checks Diagnostics Success

message
string
required

A simple string explaining the result of the operation.

data
object
required

A single result.